<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\DozentenInfo\DozentenUebersicht;

use Kufer\Web\KuferTools\Veranstalter\DozentenInfo\NewDozent\HandleDozentInsert\HandleDozentInsertUseCase as HandleDozentInsertUseCase;

class DozentenUebersichtPresenter extends \Kufer\Web\KuferTools\Basis\DozentenInfo\DozentenUebersicht\DozentenUebersichtPresenter
{
  protected function getPanelTitleLink($dozent)
  {
    return 'index.php?tool_id=55&action=dozentdetails&dnr=' . $dozent->id . '&dguid=' . ((string)$dozent->guid);
  }

  protected function getFehlermeldung()
  {
    $allgSettings = \AllgSettingsAPI::getAllgSettings();
    if ($this->useCaseResponse->newDozStatusCode == HandleDozentInsertUseCase::ERROR_UEBERTRAGUNG_FEHLGESCHLAGEN) {
      return 'Fehler<br />' . $allgSettings->failSubmitMsgDozent;
    }
    if ($this->useCaseResponse->newDozStatusCode == HandleDozentInsertUseCase::ERROR_DOZENT_NICHT_ANGELEGT) {
      return 'Fehler<br />' . $allgSettings->failMsgDozentNeu;
    }
    if ($this->useCaseResponse->newDozStatusCode == HandleDozentInsertUseCase::ERROR_DOZENTDATEN_FEHLERHAFT) {
      return \Kufer\Web\KuferTools\Utils\WssHandler::getErrorMessage($this->useCaseResponse->newDozWrongFields);
    }

    return '';
  }
}